%define perlname Gtk2-MozEmbed

%define gecko_version 1.9.0.6
%if 0%{?fedora} >= 11
%define gecko_version 1.9.2.17
%endif
%if 0%{?fedora} >= 13
%define gecko_version 1.9.2.17
%else
%endif

# Using specfilever cause dumpspec to only increase 
# right part of release (post dist tag)
%global specfilever 6

Summary:       Interface to the Mozilla embedding widget
Name:          perl-Gtk2-MozEmbed
Version:       0.08
Release:       %{specfilever}%{?dist}.24

Group:         Development/Libraries
License:       LGPLv2+
URL:           http://search.cpan.org/dist/Gtk2-MozEmbed
Source0:       http://www.cpan.org/authors/id/T/TS/TSCH/%{perlname}-%{version}.tar.gz

# See https://rt.cpan.org/Ticket/Display.html?id=43306
Patch0:        %{name}-make.patch

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Depends) >= 0.20
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires: perl(Glib::MakeHelper)
BuildRequires: perl(Gtk2) >= 1.081
BuildRequires: gtk2-devel
%if 0%{?fedora} >= 13
BuildRequires: xulrunner-devel = %{gecko_version}
%else
BuildRequires: xulrunner-devel-unstable = %{gecko_version}
%endif

Requires:      perl(Glib) >= 1.180
Requires:      perl(Gtk2) >= 1.081
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# BR xulrunner-devel-unstable so hard dep.
Requires:      gecko-libs = %{gecko_version}

%description
This module allows you to use the Mozilla embedding widget from Perl.


%prep
%setup -q -n %{perlname}-%{version}

%patch0 -p0

iconv -f ISO-8859-15 -t UTF-8 NEWS >NEWS.utf8
touch -r NEWS NEWS.utf8
mv NEWS.utf8 NEWS



%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';' -print
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';' -print
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT%{_prefix}


%check
# Tests doesn't run in mock nor in rpmbuild (need a display)
# Should display : All tests successful.
# Files=1, Tests=8,  1 wallclock secs - Result: PASS
%{?_with_display_tests: make test}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog examples/ LICENSE NEWS README
%{_mandir}/man3/Gtk2::MozEmbed*
%{perl_vendorarch}/auto/Gtk2
%{perl_vendorarch}/Gtk2


%changelog
* Thu Apr 28 2011 Jan Horak <jhorak@redhat.com> - 0.08-6.24
- Rebuild against newer gecko

* Tue Mar 22 2011 Christopher Aillon <caillon@redhat.com> - 0.08-6.23
- Rebuild against newer gecko

* Tue Mar 08 2011 Jan Horak <jhorak@redhat.com> - 0.08-6.22
- Rebuild against newer gecko

* Tue Mar 01 2011 Jan Horak <jhorak@redhat.com> - 0.08-6.21
- Rebuild against newer gecko

* Thu Dec 09 2010 Jan Horak <jhorak@redhat.com> - 0.08-6.20
- Rebuild against newer gecko

* Thu Oct 28 2010 Jan Horak <jhorak@redhat.com> - 0.08-6.19
- Rebuild against newer gecko

* Tue Oct 19 2010 Jan Horak <jhorak@redhat.com> - 0.08-6.18
- Rebuild against newer gecko

* Tue Sep 21 2010 Martin Stransky <stransky@redhat.com> - 0.08-6.17
- Rebuild against newer gecko

* Wed Sep 08 2010 Jan Horak <jhorak@redhat.com> - 0.08-6.16
- Rebuild against newer gecko

* Tue Jul 20 2010 Jan Horak <jhorak@redhat.com> - 0.08-6.15
- Rebuild against newer gecko

* Wed Jun 23 2010 Jan Horak <jhorak@redhat.com> - 0.08-6.14
- Rebuild against newer gecko

* Tue Apr 06 2010 Jan Horak <jhorak@redhat.com> - 0.08-6.13
- Rebuild against newer gecko

* Tue Mar 23 2010 Jan Horak <jhorak@redhat.com> - 0.08-6.12
- Rebuild against newer gecko

* Thu Nov 26 2009 Jan Horak <jhorak@redhat.com> - 0.08-6.11
- Rebuild against newer gecko

* Sun Nov 22 2009 Remi Collet <Fedora@FamilleCollet.com> - 0.08-6.10
- Rebuild against newer gecko (1.9.2.1)

* Thu Nov 05 2009 Jan Horak <jhorak@redhat.com> - 0.08-6.9
- Rebuild against newer gecko

* Tue Oct 27 2009 Jan Horak <jhorak@redhat.com> - 0.08-6.8
- Rebuild against newer gecko

* Fri Sep 11 2009 Jan Horak <jhorak@redhat.com> - 0.08-6.7
- Rebuild against newer gecko

* Thu Aug 06 2009 Jan Horak <jhorak@redhat.com> - 0.08-6.6
- Rebuild against newer gecko

* Tue Aug 04 2009 Jan Horak <jhorak@redhat.com> - 0.08-6.5
- Rebuild against newer gecko

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-6.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Remi Collet <Fedora@FamilleCollet.com> - 0.08-6.3
- fix BR

* Mon Jul 20 2009 Jan Horak <jhorak@redhat.com> - 0.08-6.2
- Rebuild against newer gecko

* Mon Apr 27 2009 Christopher Aillon <caillon@redhat.com> - 0.08-6.1
- Rebuild against newer gecko

* Sat Apr 25 2009 Remi Collet <Fedora@FamilleCollet.com> - 0.08-6
- fix release to fix NEVR issue (upgrade from F10)

* Tue Mar 03 2009 Remi Collet <Fedora@FamilleCollet.com> - 0.08-3
- Fix from review : Gtk2 dir ownership

* Tue Mar 03 2009 Remi Collet <Fedora@FamilleCollet.com> - 0.08-2
- Fix from review : License, %%check, %%_fixperms

* Sat Feb 14 2009 Remi Collet <Fedora@FamilleCollet.com> - 0.08-1
- initial Fedora RPM

